Bug 827790 - systemd fails to initialize autohome.target, or autogroup.target
systemd fails to initialize autohome.target, or autogroup.target
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autodir (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 23:36 EDT by Rick Foos
Modified: 2013-07-31 23:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:36:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replace autohome.target with autohome.service (634 bytes, text/plain)
2012-06-04 21:04 EDT, Rick Foos
no flags Details
Replace /lib/systemd/system/autogroup.target with autogroup.service (650 bytes, text/plain)
2012-06-04 21:11 EDT, Rick Foos
no flags Details

  None (edit)
Description Rick Foos 2012-06-02 23:36:05 EDT
Description of problem:
The autodir target files, autohome.target and autogroup.target fail to start, and do not use the conf files in /etc/sysconfig.

They should be service files. the [Service] section is not valid in a target file.

Second, the sysconfig files are not used, and the backup options of autodir cannot be set.

Version-Release number of selected component (if applicable):
Fedora 17

How reproducible:
Enable and start either target.

Steps to Reproduce:
systemctl enable autohome.target
systemctl start autohome.target

  
Actual results:
/var/log/messages
Jun  2 20:22:52 montechristo systemd[1]: [/usr/lib/systemd/system/autohome.target:5] Unknown section 'Service'. Ignoring.
Jun  2 20:22:52 montechristo systemd[1]: [/usr/lib/systemd/system/autohome.target:6] Assignment outside of section. Ignoring.
Jun  2 20:22:52 montechristo systemd[1]: [/usr/lib/systemd/system/autohome.target:7] Assignment outside of section. Ignoring.
Jun  2 20:22:52 montechristo systemd[1]: [/usr/lib/systemd/system/autohome.target:8] Assignment outside of section. Ignoring.


Expected results:
ps -ef | grep autodir
A running autodir process.
Home directories when users log in...

Additional info:
I'm re-writing the target files as autohome.service for now. 

Using autofs.service as a model since they both do something similar, automount home directories. The current after local-fs target does not account for user logins and NIS users and groups being available. 

I'll attach the service files after I get everything working and tested.
Comment 1 Rick Foos 2012-06-04 21:04:32 EDT
Created attachment 589320 [details]
Replace autohome.target with autohome.service

The current autohome.target is invalid. A service section is not allowed in a target file.

The attached file replaces /lib/systemd/system/autohome.target

This service file:
1) Uses /etc/sysconfig/autohome for main variables.
2) Uses Before's from autofs.service (network.target ypbind.service)

The service does not:
1) Set the optional backup variables. A ExecStartPre command illustrates the variables needed.
Comment 2 Rick Foos 2012-06-04 21:11:45 EDT
Created attachment 589321 [details]
Replace /lib/systemd/system/autogroup.target with autogroup.service

See autogroup.service comment.
Comment 3 Fedora End Of Life 2013-07-03 20:10:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:36:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.